设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 375|回复: 1

.NET: How to set the Lineweight of a Line

[复制链接]

已领礼包: 40个

财富等级: 招财进宝

发表于 2021-1-8 23:48:11 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x


问题:
How do I create a line and append it to the current space, but also setting its LineWeight?

解答:

  1. [Autodesk.AutoCAD.Runtime.CommandMethod("CreateLine")]
  2. // creates a line and sets the lineweight for it, by Fenton Webb, DevTech, Autodesk
  3. public void CreateLine()
  4. {
  5.     // create a new line
  6.     Line line = new Line(new Point3d(0, 0, 0), new Point3d(100, 100, 0));

  7.     // set the lineweight for it
  8.     line.LineWeight = LineWeight.LineWeight211;

  9.     // add the object to the current space
  10.     Database dwg = HostApplicationServices.WorkingDatabase;


  11.     // make sure lineweights are turn on
  12.     dwg.LineWeightDisplay = true;


  13.     // get the transaction manager
  14.     Autodesk.AutoCAD.DatabaseServices.TransactionManager tm = dwg.TransactionManager;
  15.     // start a new transaction
  16.     using (Transaction myT = tm.StartTransaction())
  17.     {
  18.         try
  19.         {
  20.             // get the current space and open it for write
  21.             BlockTableRecord btr = (BlockTableRecord)tm.GetObject(dwg.CurrentSpaceId, OpenMode.ForWrite, false);


  22.             // add it to the blocktable record
  23.             btr.AppendEntity(line);


  24.             // now to the tranaction manager
  25.             tm.AddNewlyCreatedDBObject(line, true);


  26.             // all ok, lets commit it
  27.             myT.Commit();
  28.         }
  29.         catch
  30.         {
  31.             // if we failed, then abort
  32.             myT.Abort();
  33.         };
  34.     }
  35. }


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 13个

财富等级: 恭喜发财

发表于 2021-6-25 09:07:02 | 显示全部楼层
学习,学习。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-9-25 18:36 , Processed in 0.602256 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表